eventselection_file: 
  process:
    process_type: interpolated-script-cmd
    script: |
      source /home/atlas/release_setup.sh 
      source /code/src/build/x86*/setup.sh 
      cd run
      python ../scripts/ModConfig.py -i ../source/InSituJES/share/configFile -m {configMod}
      cp tempModConfig.txt ../source/InSituJES/share/configFile
      echo "{SERVICE_PASS}" | kinit {CERN_USER}@CERN.CH
      RunInSituJES --config {configFile} --inputFile {inputFile} --outputDir {outputDir}
  publisher:
    publisher_type: interpolated-pub
    publish:
      histDir: '{outputDir}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/mpf
    imagetag: r21-c1383833
    
eventselection_list: 
  process:
    process_type: interpolated-script-cmd
    script: |
      source /home/atlas/release_setup.sh 
      source /code/src/build/x86*/setup.sh 
      cd run
      python ../scripts/ModConfig.py -i ../source/InSituJES/share/configFile -m {configMod}
      cp tempModConfig.txt ../source/InSituJES/share/configFile
      echo "{SERVICE_PASS}" | kinit {CERN_USER}@CERN.CH
      RunInSituJES --config {configFile} --inputList {inputList} --outputDir output
      cp output/hist-sample.root {stepdir}/{sampleName}.root
  publisher:
    publisher_type: interpolated-pub
    publish:
      histFile: '{stepdir}/{sampleName}.root'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/mpf
    imagetag: r21-c1383833

merge:
  process:
    process_type: interpolated-script-cmd
    script: |
      pwd
      source /home/atlas/release_setup.sh 
      ls
      hadd {outputFile} {inputFiles}
  publisher:
    publisher_type: interpolated-pub
    publish:
      histFile: '{outputFile}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/mpf
    imagetag: r21-c1383833

validate:
  process:
    process_type: interpolated-script-cmd
    script: |
      pwd
      source /home/atlas/release_setup.sh 
      ls
      python scripts/DrawHist.py -i {inputFile} -p hJetPT -o {outputPlot}
  publisher:
    publisher_type: interpolated-pub
    publish:
      plotFile: '{outputPlot}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/mpf
    imagetag: r21-c1383833
    
validate_data_mc:
  process:
    process_type: interpolated-script-cmd
    script: |
      pwd
      source /home/atlas/release_setup.sh 
      ls
      python scripts/DrawDataMC.py -m {inputFile_mc} -d {inputFile_data} -p hJetPT -r 10 -o {outputPlot}
  publisher:
    publisher_type: interpolated-pub
    publish:
      plotFile: '{outputPlot}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/mpf
    imagetag: r21-c1383833
    
plot_response:
  process:
    process_type: interpolated-script-cmd
    script: |
      pwd
      source /home/atlas/release_setup.sh 
      source /code/src/build/x86*/setup.sh 
      ls
      cp {inputFile} {inputFile}_Stage1.root
      PlotResponse --file {inputFile}_Stage1.root --histname {histBalance}
      ls
      mkdir {outputDir}
      cp *.root {outputDir}/.
      cp *.pdf {outputDir}/.
      mv {inputFile}_Stage1.root {fitFile}
  publisher:
    publisher_type: interpolated-pub
    publish:
      plotFile: '{outputDir}'
      fitFile:  '{fitFile}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/mpf
    imagetag: r21-c1383833
        
        
mapping:
  process:
    process_type: interpolated-script-cmd
    script: |
      pwd
      source /home/atlas/release_setup.sh 
      source /code/src/build/x86*/setup.sh 
      ls
      cp {inputFile} {inputFile}_Stage2.root
      Mapping --file {inputFile}_Stage2.root
      mkdir {outputDir}
      cp *.root {outputDir}/.
      cp *.pdf {outputDir}/.
      mv {inputFile}_Stage2.root {fitFile}
  publisher:
    publisher_type: interpolated-pub
    publish:
      plotFile: '{outputDir}'
      fitFile: '{fitFile}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/mpf
    imagetag: r21-c1383833
    
    
systematics:
  process:
    process_type: interpolated-script-cmd
    script: |
      pwd
      source /home/atlas/release_setup.sh 
      source /code/src/build/x86*/setup.sh 
      ls
      echo "===================="
      echo "Printing calibMethod"
      echo {calibMethod}
      echo "===================="
      doSyst --data {inputFile_data} --MC {inputFile_mc} --altMC {inputFile_mcalt} --jetAlg {jetAlgorithm} --calibType {calibType} --measurement mpf
      mv syst_JES.root                     {systFile}
      mv rebinned.root                     {systFile_rebinned}
      mv mpf_Ratio_INTERNAL.pdf            {systPlot_ratio}
  publisher:
    publisher_type: interpolated-pub
    publish:
      systFile:          '{systFile}'
      systFile_rebinned: '{systFile_rebinned}'
      systPlot_ratio:    '{systPlot_ratio}' 
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/mpf
    imagetag: r21-c1383833


synthesize:
  process:
    process_type: interpolated-script-cmd
    script: |
      pwd
      source /home/atlas/release_setup.sh 
      source /code/src/build/x86*/setup.sh 
      ls
      plotSyst --file {inputFile}
      mv Systs_INTERNAL.pdf {systPlot}
      mv TotalSyst.root     {systFile}
  publisher:
    publisher_type: interpolated-pub
    publish:
      systPlot: '{systPlot}'
      systFile: '{systFile}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/mpf
    imagetag: r21-c1383833